import apis from "./apis";
import req from "./request";
import qs from "qs";
import utils from "@/utils/index.js";

let api = {};


// 根据字典代码查询性质类别
api.getReferenceInfo = function(data) {
  return req.post(`/wx/getReferenceInfo?${qs.stringify(data)}`);
};
// 查询医疗机构列表
api.getProviderPageListToWeb = function(data) {
  return req.post(
    `/wx/getProviderPageListToWeb?${qs.stringify(data)}`,
    data
  );
};
// 查询海外医疗机构列表
api.searchCountryForProviderList = function(data) {
  return req.post(`/wx/searchCountryForProviderList`, {});
};
api.searchProviderListByCountry = (data)=>{
  return req.post('/wx/searchProviderListByCountry', {
    data
  })
}
//发送邮件
api.sendMailToWeb = function(data) {
  return instance.post("/wx/sendMailToWeb", data);
};

export default api;
